apiVersion: v1
kind: Service
metadata:
  name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
  namespace: __CI_ENVIRONMENT_SLUG__
  labels:
      JARVIS: "true"
spec:
  type: ClusterIP
  ports:
    - name: tcp-main-port
      port: __PORT__
      targetPort: __PORT__
      protocol: TCP
    - name: tcp-internal-port
      port: __INTERNAL_PORT__
      targetPort: __INTERNAL_PORT__
    - name: tcp-management-port
      port: __MANAGEMENT_PORT__
      targetPort: __MANAGEMENT_PORT__
      protocol: TCP
  selector:
    app: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
